# Start App

Launch stage: GA

`POST /api/2.0/apps/{name}/start`

Start the last active deployment of the app in the workspace.

API scopes: apps

## Path parameters

- `name` (string, optional)
  The name of the app.

## Returns

Returns the App object.

## Response

```json
{
  "name": "my-custom-app",
  "description": "My app description.",
  "compute_status": {
    "state": "string",
    "message": "App compute is active."
  },
  "app_status": {
    "state": "string",
    "message": "Application is running."
  },
  "url": "my-custom-app-123.cloud.databricksapps.com",
  "active_deployment": {
    "deployment_id": "01ef0bda89f21f08a8351f41e4a9b948",
    "source_code_path": "/Workspace/user@test.com/my_custom_app",
    "git_source": {},
    "mode": "string",
    "deployment_artifacts": {},
    "status": {},
    "create_time": "string",
    "creator": "user@test.com",
    "update_time": "string",
    "command": "python app.py",
    "env_vars": [
      {}
    ]
  },
  "create_time": "string",
  "creator": "user@test.com",
  "update_time": "string",
  "updater": "user@test.com",
  "pending_deployment": {
    "deployment_id": "01ef0bda89f21f08a8351f41e4a9b948",
    "source_code_path": "/Workspace/user@test.com/my_custom_app",
    "git_source": {},
    "mode": "string",
    "deployment_artifacts": {},
    "status": {},
    "create_time": "string",
    "creator": "user@test.com",
    "update_time": "string",
    "command": "python app.py",
    "env_vars": [
      {}
    ]
  },
  "resources": [
    {
      "name": "api-key",
      "description": "API key for external service.",
      "secret": {},
      "sql_warehouse": {},
      "serving_endpoint": {},
      "job": {},
      "uc_securable": {},
      "database": {},
      "genie_space": {},
      "experiment": {},
      "app": {},
      "postgres": {}
    }
  ],
  "service_principal_id": 0,
  "service_principal_name": "string",
  "default_source_code_path": "/Workspace/user@test.com/my_custom_app",
  "default_git_source": {
    "git_repository": {},
    "branch": "main",
    "tag": "v1.0.0",
    "commit": "abc123def456",
    "source_code_path": "my-app",
    "resolved_commit": "abc123def456789012345678901234567890abcd"
  },
  "budget_policy_id": "string",
  "effective_budget_policy_id": "string",
  "service_principal_client_id": "string",
  "user_api_scopes": [
    "string"
  ],
  "id": "string",
  "effective_user_api_scopes": [
    "string"
  ],
  "oauth2_app_integration_id": "string",
  "oauth2_app_client_id": "string",
  "compute_size": "string",
  "usage_policy_id": "string",
  "effective_usage_policy_id": "string",
  "git_repository": {
    "url": "https://github.com/databricks/git_app_repo.git",
    "provider": "gitHub",
    "auto_deploy": true,
    "caller_credential_id": 93488329053511
  },
  "telemetry_export_destinations": [
    {
      "unity_catalog": {}
    }
  ],
  "thumbnail_url": "/ajax-api/2.0/thumbnails/raw/apps/{id}/SMALL_DEFAULT.png",
  "source_code_path": "/Workspace/user@test.com/my_custom_app",
  "git_source": {
    "git_repository": {},
    "branch": "main",
    "tag": "v1.0.0",
    "commit": "abc123def456",
    "source_code_path": "my-app",
    "resolved_commit": "abc123def456789012345678901234567890abcd"
  }
}
```

